<GridLayout>
    <FLexboxLayount class="page">
    <StackLayout orientation="vertical" class="form">
        <Label class="p-10 m-b-10" *ngIf="errorMessage" [text]="errorMessage" backgroundColor="#f0f0f0" flexGrow="1"></Label>
        
        <TextField #email #emailModel="ngModel" required email
            class="input input-border m-b-10"
            hint="Email Address"
            keyboardType="email"
            returnKeyType="next"
            (returnPress)="focusPassword()"
            [(ngModel)]="form.email"
            (onblur)="emailOnBlur()"
            autocorrect="false"
            autocapitalizationType="none"
            row="0"></TextField>
            <StackLayout class="p-b-10" *ngIf="emailModel.errors && emailDirty && (emailModel.dirty || emailModel.touched)">
                <Label *ngIf="emailModel.errors.required" text="- An email is required -"></Label>
                <Label *ngIf="emailModel.errors.email" text="- Email must be valid -"></Label>
            </StackLayout>

        <TextField #password #passwordModel="ngModel" required
            class="input input-border m-b-10"
            minlength="5"
            hint="Password"
            secure="true"s
            returnKeyType="done"
            (onblur)="passwordOnBlur()"
            (returnPress)="onSubmit()"
            [(ngModel)]="form.password"
            row="1"></TextField>
        <StackLayout class="p-b-10" *ngIf="passwordModel.errors && passwordDirty && (passwordModel.dirty || passwordModel.touched)">
            <Label *ngIf="passwordModel.errors.required" text="- A password is required -"></Label>
            <Label *ngIf="passwordModel.errors.minlength" text="- Password must be longer than 5 characters"></Label>
        </StackLayout>

        <TextField #serverUrl="ngModel" required
            class="input input-border m-b-10"
            hint="Server URL"
            returnKeyType="done"
            (returnPress)="onSubmit()"
            [(ngModel)]='form.url'
            autocorrect="false"
            autocapitalizationType="none"
            row="2"></TextField>
        <StackLayout *ngIf="serverUrl.errors && (serverUrl.dirty || serverUrl.touched)">
            <Label *ngIf="serverUrl.errors.required" text="- A server URL is required -"></Label>
        </StackLayout>

        <Button
            class="submit-button"
            text="Login"
            [isEnabled]="emailModel.valid && passwordModel.valid"
            (tap)="onSubmit()"
        ></Button>

    </StackLayout>
</FLexboxLayount>
</GridLayout>
